%define anolis_release 23

Name:           lorax-templates-anolis
Version:        37.0
Release:        1.%{anolis_release}%{?dist}
Summary:        Anolis OS build templates for lorax and livemedia-creator

License:        GPLv2+
URL:            https://github.com/weldr/lorax
BuildArch:      noarch
# Copy from https://github.com/weldr/lorax/tree/master/share/templates.d/99-generic
Source0:        lorax-templates-anolis-37.0.tar.gz

Patch1001:      1001-custom-config.patch
Patch1002:      1002-add-uefi-parameter.patch
Patch1003:      1003-Do-not-remove-avahi-glib-avahi-libs.patch
Patch1004:      1004-do-not-move-usr-libexec-anaconda-auditd.patch
Patch1005:      1005-do-not-remove-libauparse.so.0-which-is-needed-by-aud.patch
Patch1006:	1006-not-delete-auditctl-which-is-needed-by-anaconda.patch
Patch1007:	1007-remove-gtk4-files.patch
Patch1008:	1008-remove-some-unused-package.patch
Patch1009:      1009-do-not-remove-libtiff-for-spice-vdagent.patch
Patch1010:	1010-remove-ia32-package.patch
Patch1011:	1011-remove-the-nm-applet.patch
## There is no available kmod-ast with kernel-6.6. Disable this pack for temporary
## Patch1012:	1012-add-kmod-ast-in-anaconda.patch
Patch1013:      1013-remove-strace-in-loongarch.patch
Patch1014:	1014-add-loongarch64-support-for-lorax-templates-anolis.patch
Patch1015:	1015-add-boot.iso-for-loongarch64.patch
Patch1016:	1016-remove-deprecated-kernel-packs-in-6.6-version.patch
Patch1017:	1017-add-ls2k500sfb.ko-for-loongarch64.patch
Patch1018:	1018-Set-data-source-for-EFI-System-Partition-on-loongarch64.patch
Patch1019:      1019-add-inst.xtimeout-1200.patch
Patch1020:      1020-enable-systemd-resolved-by-default.patch

# Where are these supposed to end up?
%define templatedir %{_datadir}/lorax/templates.d/80-anolis

%description
Anolis OS 23 specific Lorax templates for creating the boot.iso and live isos are
placed in %{templatedir}

%prep
%autosetup -p1

%build
# nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{templatedir}
cp -a 80-anolis/* $RPM_BUILD_ROOT/%{templatedir}

%files
%dir %{templatedir}
%{templatedir}/*

%changelog
* Wed Oct 30 2024 Chang Gao <gc-taifu@linux.alibaba.com> - 37.0-1.23
- Enable systemd-resolved by default. Resolve: #5859

* Tue Oct 29 2024 yangxinyu <yangxinyu@nfschina.com> - 37.0-1.22
- add-inst.xtimeout-1200

* Mon Jul 22 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 37.0-1.21
- Set data source for EFI System Partition on loongarch64

* Thu May 30 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 37.0-1.20
- add ls2k500sfb.ko for loongarch64

* Tue Mar 26 2024 Chang Gao <gc-taifu@linux.alibaba.com> - 37.0.1-19
- Explict kmod-ast for temporary

* Mon Mar 25 2024 Chang Gao <gc-taifu@linux.alibaba.com> - 37.0.1-18
- Remove deprecated kernel packages

* Tue Jan 23 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 37.0.1-17
- add boot.iso for loongarch64
 
* Tue Dec 12 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 37.0.1-16
- modify the patch 1014 for loongarch64

* Wed Dec  6 2023 Wenlong Zhang <zhangwenlong@loongson.cn> - 37.0.1-15
- add loongarch64 support for lorax-templates-anolis

* Tue Dec 05 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-14
- remove strace in loongarch

* Tue Dec 05 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-13
- remove strace in loongarch

* Fri Jun 16 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-12
- add kmod-ast in anaconda

* Tue Apr 18 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-11
- remove the nm-applet bindir

* Mon Apr 17 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-10
- remove the ia32 package

* Tue Apr 04 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 37.0.1-9
- do not remote libtiff for spice-vdagent

* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-8
- remove the unused fonts package

* Thu Mar 23 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0.1-7
- remove the b43-openfwwf 

* Fri Mar 17 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0-1.6
- remove the gtk4

* Mon Mar 13 2023 happy_orange <songnannan@linux.alibaba.com> - 37.0-1.5
- do not remove auditctl which is needed by anaconda

* Mon Feb 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 37.0-1.4
- do not remove libauparse.so.0 which is needed by auditd

* Mon Feb 20 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 37.0-1.3
- do not move usr/libexec/anaconda/auditd in runtime-postinstall.tmpl

* Fri Jan 06 2023 Chang Gao <gc-taifu@linux.alibaba.com> - 37.0-1.2
- Do not remove avahi-glib and avahi-libs in runtime-cleanup.tmpl

* Thu Oct 27 2022 gaochang <gc-taifu@linux.alibaba.com> - 37.0-1.1
- Initial version for Anolis OS 23
